import 'package:flutter/material.dart';

/// Color Scheme for Voyage based on Materials.io
///
/// Link: https://material.io/design/color/the-color-system.html#color-theme-creation


// Colors By Names
const kColorBlue                = const Color(0xFF1EA4DC);
const kColorBlueDark            = const Color(0xFF0091EA);
const kColorBlueLight           = const Color(0xFF29B6F6);
const kColorBlueBare            = const Color(0xFFDBF1Fa);

const kColorYellow              = const Color(0xFFFFFF00);
const kColorYellowDark          = const Color(0xFFFFD600);
const kColorYellowLight         = const Color(0xFFFFFF8D);

const kColorGray                = const Color(0xFF979797);
const kColorGrayDark            = const Color(0xFF606060);
const kColorGrayLight           = const Color(0xFFdedede);
const kColorGrayLighter         = const Color(0xFFF6F7F9);
const kColorGrayBare            = const Color(0xFFE1E2E8);

const kColorOrange              = const Color(0xFFFB8C00);
const kColorOrangeDark          = const Color(0xFFFF6F00);
const kColorOrangeLight         = const Color(0xFFFFA726);

const kColorPurple              = const Color(0xFF7C4DFF);
const kColorPurpleDark          = const Color(0xFF6200EA);
const kColorPurpleLight         = const Color(0xFFB388FF);

const kColorBlack               = const Color(0xFF000000);
const kColorWhite               = const Color(0xFFffffff);
const kColorWhiteGray           = const Color(0xFFE1E2E8);
const kColorRed                 = const Color(0xFFDD2C00);

const kColorTransparent          = const Color(0x00000000);
const kColorWhiteTransparent     = const Color(0x55ffffff);
const kColorGrayBareA1            = const Color(0x50E1E2E8);

// Colors By Categories
const kColorPrimary             = kColorBlue;
const kColorPrimaryDark         = kColorBlueDark;
const kColorPrimaryLight        = kColorBlueLight;

const kColorError               = kColorRed;

// Secondary Colors (Used for Floating action buttons, Selection controls, like sliders and switches, Highlighting selected text, Progress bars, and Links and headlines
const kColorSecondary           = kColorWhite;

const kColorSecondary1          = kColorYellow;
const kColorSecondary1Dark      = kColorYellowDark;
const kColorSecondary1Light     = kColorYellowLight;

const kColorSecondary2          = kColorGray;
const kColorSecondary2Dark      = kColorGrayDark;
const kColorSecondary2Light     = kColorGrayLight;

// Alternative 1 (i.e. Place)
const kColorPrimary1            = kColorOrange;
const kColorPrimary1Dark        = kColorOrangeDark;
const kColorPrimary1Light       = kColorOrangeLight;

// Alternative 1 (i.e. Event)
const kColorPrimary2            = kColorPurple;
const kColorPrimary2Dark        = kColorPurpleDark;
const kColorPrimary2Light       = kColorPurpleLight;